﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __OnScreenMessage = LightSwitchApplication.OnScreenMessage

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class OnScreenMessage
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __OnScreenMessage, __OnScreenMessage.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the OnScreenMessage entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __OnScreenMessage))
            MyBase.New(entitySet)
            
            __OnScreenMessage.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub OnScreenMessage_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub OnScreenMessage_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __OnScreenMessage.DetailsClass.GetValue(Me, __OnScreenMessage.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __OnScreenMessage.DetailsClass.SetValue(Me, __OnScreenMessage.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __OnScreenMessage.DetailsClass.GetValue(Me, __OnScreenMessage.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __OnScreenMessage.DetailsClass.SetValue(Me, __OnScreenMessage.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Message As String
            Get
                Return __OnScreenMessage.DetailsClass.GetValue(Me, __OnScreenMessage.DetailsClass.PropertySetProperties.Message)
            End Get
            Set
                __OnScreenMessage.DetailsClass.SetValue(Me, __OnScreenMessage.DetailsClass.PropertySetProperties.Message, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Message_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Message_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Message_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __OnScreenMessage, _
                __OnScreenMessage.DetailsClass, _
                __OnScreenMessage.DetailsClass.IImplementation, _
                __OnScreenMessage.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __OnScreenMessage, __OnScreenMessage.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __OnScreenMessage, __OnScreenMessage.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __OnScreenMessage.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __OnScreenMessageEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __OnScreenMessage, __OnScreenMessage.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __OnScreenMessage, __OnScreenMessage.DetailsClass).Entry( _
                    AddressOf __OnScreenMessage.DetailsClass.__OnScreenMessage_CreateNew, _
                    AddressOf __OnScreenMessage.DetailsClass.__OnScreenMessage_Created, _
                    AddressOf __OnScreenMessage.DetailsClass.__OnScreenMessage_AllowSaveWithErrors)
            Private Shared Function __OnScreenMessage_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __OnScreenMessage)) As __OnScreenMessage
                Return New __OnScreenMessage(es)
            End Function
            Private Shared Sub __OnScreenMessage_Created(e As __OnScreenMessage)
                e.OnScreenMessage_Created()
            End Sub
            Private Shared Function __OnScreenMessage_AllowSaveWithErrors(e As __OnScreenMessage) As Boolean
                Dim result As Boolean = False
                e.OnScreenMessage_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __OnScreenMessage, __OnScreenMessage.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __OnScreenMessage, __OnScreenMessage.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __OnScreenMessage.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __OnScreenMessage, __OnScreenMessage.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OnScreenMessage.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OnScreenMessage.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property Message As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OnScreenMessage.DetailsClass.PropertySetProperties.Message),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, String))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property Message As String
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OnScreenMessage.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Integer).Data), d As __OnScreenMessage.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __OnScreenMessage) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __OnScreenMessage, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __OnScreenMessage.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __OnScreenMessage.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __OnScreenMessage)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OnScreenMessage.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Byte()).Data), d As __OnScreenMessage.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __OnScreenMessage) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __OnScreenMessage, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __OnScreenMessage.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __OnScreenMessage.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __OnScreenMessage)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Message As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, String).Entry( _
                        "Message", _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Message_Stub, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Message_ComputeIsReadOnly, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Message_Validate, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Message_GetImplementationValue, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Message_SetImplementationValue, _
                        AddressOf __OnScreenMessage.DetailsClass.PropertySetProperties._Message_OnValueChanged)
                Private Shared Sub _Message_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OnScreenMessage.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, String).Data), d As __OnScreenMessage.DetailsClass, sf As Object)
                    c(d, d._Message, sf)
                End Sub
                Private Shared Function _Message_ComputeIsReadOnly(e As __OnScreenMessage) As Boolean
                    Dim result As Boolean = False
                    e.Message_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Message_Validate(e As __OnScreenMessage, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Message_Validate(r)
                End Sub
                Private Shared Function _Message_GetImplementationValue(d As __OnScreenMessage.DetailsClass) As String
                    Return d.ImplementationEntity.Message
                End Function
                Private Shared Sub _Message_SetImplementationValue(d As __OnScreenMessage.DetailsClass, v As String)
                    d.ImplementationEntity.Message = v
                End Sub
                Private Shared Sub _Message_OnValueChanged(e As __OnScreenMessage)
                    e.Message_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Message As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OnScreenMessage, __OnScreenMessage.DetailsClass, String).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
